For the complete documentation index, see llms.txt. This page is also available as Markdown.

Warehouses

Obter Local

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
get/warehouses/{id}
GET /api/sales/warehouses/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Atualizar Local

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
namestringObrigatório
address_typestringObrigatório
streetstringObrigatório
numberstringObrigatório
complementstringObrigatório
neighborhoodstringObrigatório
citystringObrigatório
statestringObrigatório
countrystringObrigatório
activebooleanObrigatório
postal_codestringObrigatório
Respostas
200

Warehouse updated successfully

application/json
idstringOpcional
namestringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
put/warehouses/{id}
PUT /api/sales/warehouses/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Remover Local

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Warehouse removed successfully

application/json
idstringOpcional
delete/warehouses/{id}
DELETE /api/sales/warehouses/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

Listar Locais

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
get/warehouses
GET /api/sales/warehouses HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Criar Local

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
namestringObrigatório
address_typestringObrigatório
streetstringObrigatório
numberstringObrigatório
complementstringObrigatório
neighborhoodstringObrigatório
citystringObrigatório
statestringObrigatório
countrystringObrigatório
activebooleanObrigatório
postal_codestringObrigatório
Respostas
201

Warehouse created successfully

application/json
idstringOpcional
namestringOpcional
address_typestringOpcional
streetstringOpcional
numberstringOpcional
complementstringOpcional
neighborhoodstringOpcional
citystringOpcional
statestringOpcional
countrystringOpcional
activebooleanOpcional
postal_codestringOpcional
post/warehouses
POST /api/sales/warehouses HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 248

{
  "id": "text",
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "address_type": "text",
  "street": "text",
  "number": "text",
  "complement": "text",
  "neighborhood": "text",
  "city": "text",
  "state": "text",
  "country": "text",
  "active": true,
  "postal_code": "text",
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}